Accordion Menu źle wyświetlane w Operze - Strona 4
Strona 4 z 4 PierwszyPierwszy ... 234
Wyniki 31 do 40 z 40

Temat: Accordion Menu źle wyświetlane w Operze

  1. #31
    Wyjadacz siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    686
    Punkty
    87

    Domyślny

    A zobacz jak to działa z innym szablonem np. Protostar.
    Само слога Славjанa спашава - Свуда пођи, својој кући дођи.

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #32
    Przeglądacz jakup13 awatar
    Dołączył
    31-01-2016
    Wpisy
    31
    Punkty
    2

    Domyślny

    Cytat Wysłane przez siristru Zobacz wiadomość
    A zobacz jak to działa z innym szablonem np. Protostar.
    W ogóle nie działa - rozwinięty na sztywno
    Załącznik 9304

    (ale za to css ma spoko:-)

    Zrobię później osobną stronę do testów, na razie wracam do domyślnego szablonu i zostawiam.

  4. #33
    Przeglądacz jakup13 awatar
    Dołączył
    31-01-2016
    Wpisy
    31
    Punkty
    2

    Domyślny

    Czy może ktoś pomóc z tym akordeonem? Jest jakiś konflikt w jQuery, konsola zwraca błąd "Pusty ciąg znaków przekazany do getElementById()." Elementy listy nie zwijają poprzednich po kliknięciu. Collapse nie działa.

  5. #34
    Wyjadacz siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    686
    Punkty
    87

    Domyślny

    Sprawdziłem i wydaje mi się, że problem leży w skrypcie bootstrap. Używasz skryptu nie z Joomli ale z T3
    http://www.mdk.lublin.pl/plugins/sys...0746f7d16352c0
    Te skrypty nie muszą być takie same i stąd różnica w działaniu.
    Само слога Славjанa спашава - Свуда пођи, својој кући дођи.

  6. #35
    Przeglądacz jakup13 awatar
    Dołączył
    31-01-2016
    Wpisy
    31
    Punkty
    2

    Domyślny

    Ano, na to wygląda. Jaka na to rada?
    Bo np. inny akordeon ma jasno:
    Kod:
    	public function load_jquery(&$params){
    		if($params->get('load_jquery')){
    			JLoader::import( 'joomla.version' );
    			$version = new JVersion();
    			if (version_compare( $version->RELEASE, '2.5', '<=')) {
    					$doc = &JFactory::getDocument();
    					$app = &JFactory::getApplication();
    					$file='//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js';
    					$file2=JURI::root(true).'/modules/mod_fancypantsaccordion/assets/js/no-conflict.js';
    					$doc->addScript($file);
    					$doc->addScript($file2);
    			} else {
    				JHtml::_('jquery.framework');
    			}

  7. #36
    Wyjadacz siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    686
    Punkty
    87

    Domyślny

    Ten kod tylko określa jakie jQuery załadować przy określonych wymaganiach akordeonu.
    Joomla ma domyślnie jQuery 1.9 i to jest właśnie JHtml::_('jquery.framework');
    A jak wymaga wyższej wersji to ładuje zdalną 2.5.

    Zobacz w ustawieniach szablonu czy możesz wyłączyć ładowanie bootstrapa... ale to może mieć wpływ na szablon.

    Rozwiązanie które podałem dotyczyło natywnych bibliotek Joomla! Jeśli ładowane sę inne z dodatków to mogą się pojawić problemy których doświadczasz.
    To jest właśnie ten problem w którym developerzy ładują swoje biblioteki zamiast używać tych w Joomli... ale Joomla oferuje przestarzałe wersji i kółko się zamyka.
    Само слога Славjанa спашава - Свуда пођи, својој кући дођи.

  8. #37
    Przeglądacz jakup13 awatar
    Dołączył
    31-01-2016
    Wpisy
    31
    Punkty
    2

    Domyślny

    Cytat Wysłane przez siristru Zobacz wiadomość
    Ten kod tylko określa jakie jQuery załadować przy określonych wymaganiach akordeonu.
    No właśnie, a jakby coś podobnego dopisać do tego akordeonu, który Ty zaproponowałeś?

  9. #38
    Wyjadacz siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    686
    Punkty
    87

    Domyślny

    Ja wykorzystuję kod akordeonu z bootstrap 2.3.2 bo taka jest wersja w Joomla!
    nic do niego nie dopiszesz bo to nie moduł tylko kod.
    Poza tym to wykrywanie dotyczy jQuery a nie Bootstrapa.
    Zobacz czy możesz wyłączyć Bootstrapa w szablonie T3 lub zobacz jaka wersję ładuje.
    Jeśli inną niż 2.3.2 to trzeba użyć kodu akordeonu dla tej wersji.
    Само слога Славjанa спашава - Свуда пођи, својој кући дођи.

  10. #39
    Przeglądacz jakup13 awatar
    Dołączył
    31-01-2016
    Wpisy
    31
    Punkty
    2

    Domyślny

    Nie ma chyba opcji wyłączenia ładowania bootstrapa w szablonie (zresztą to mało sensowne).
    Poza 2.3.2 mam też base-bs3 i wersję 3.3.6. I tę wersję chyba wykorzystuje szablon, bo jak sama nazwa wskazuje to T3 BS3 Blank, z bootstrapem 3 i włączoną "legacy compatible" dla 2.3.2. Z tym, że ja tego collapse 3.3.6 nie napiszę sam :-(

  11. #40
    Wyjadacz siristru awatar
    Dołączył
    28-05-2009
    Skąd
    Szczecin
    Wpisy
    686
    Punkty
    87

    Domyślny

    Dasz radę Musisz jedynie przerobić szkielet akordeonu - tutaj masz doksy: https://getbootstrap.com/docs/3.3/ja...mple-accordion
    Само слога Славjанa спашава - Свуда пођи, својој кући дођи.

Strona 4 z 4 PierwszyPierwszy ... 234

Podobne tematy

  1. [Joomla 2.5]Źle wyświetlane nazwy
    przez oas na forum Administracja - ogólnie
    Odpowiedzi: 2
    Ostatni post/autor: 28-02-2012, 19:57
  2. Źle wyświetlane zdjęcia w phoca gallery
    przez badabing na forum Galerie, media, obsługa grafiki i innych mediów
    Odpowiedzi: 0
    Ostatni post/autor: 16-06-2011, 23:20
  3. problem po instalacji - źle wyświetlane etykiety i menu zaplecza
    przez cezarc na forum Instalacja, aktualizacja, migracje
    Odpowiedzi: 7
    Ostatni post/autor: 30-05-2011, 10:20
  4. Źle wyświetlane czcionki
    przez matiuk na forum Problemy z przeglądarką Internet Explorer
    Odpowiedzi: 14
    Ostatni post/autor: 30-11-2008, 22:04
  5. Źle wyświetlane przypisy pod IE
    przez ktp na forum Administracja Joomla!
    Odpowiedzi: 1
    Ostatni post/autor: 10-12-2006, 22:51

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •